#!/bin/bash

# \todo: reload udev rules (if device is already plugged in http://unix.stackexchange.com/questions/39370/how-to-reload-udev-rules-without-reboot)

libs=Libs
here="${0%/*}"  # or you can use `dirname "$0""`

udevdir="/etc/udev/rules.d"
udevrule="99-iclicker.rules"

udevdest=$udevdir/$udevrule
udevlibs=$here/$udevrule

copyudevrule=1
if [ -e "$udevdest" ]; then
        echo "udev rule found"
        diff "$udevlibs" "$udevdest"
        if [ "$?" -eq "0" ]; then
		echo "No need to update it; up to date."
                copyudevrule=0
	else
		echo "Going to update it."
        fi
fi

if [ "$copyudevrule" -eq "1" ]; then
        echo "Copying udev rule $udevlibs to $udevdir"
        #Ask for permission to copy udev iclicker rule to $udevdir
        cp "$udevlibs" "$udevdir/."
fi

